// Verilog definition of TB2
// created by TB

module TB2(N47, N48, N49, N50, N51, N52, N53);
input N47;
input N48;
input N49;
input N50;
input N51;
output N52;
output N53;

  wire N54;
  wire N58;
  wire N65;

  inv02 ix133(N54, N53);
  oai21 ix21(N48, N51, N58, N54);
  nand02_2x ix136(N49, N50, N58);
  ao21 ix138(N47, N49, N65, N52);
  and02 ix9(N48, N58, N65);

endmodule
